## pydata-sphinx-theme 0.5.0

=== docs/requirements.txt ===
sphinx
numpydoc
recommonmark
pandas
pytest
pytest-regressions
beautifulsoup4
# For demo examples
jupyter_sphinx
plotly
numpy
xarray

=== debian/changelog ===
pydata-sphinx-theme (0.5.0-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Fri, 02 Apr 2021 00:38:50 -0400

pydata-sphinx-theme (0.5.0-1) unstable; urgency=low

  * Initial release; Closes: #985035

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Mar 2021 23:13:07 -0500

=== debian/control ===
Source: pydata-sphinx-theme
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-bs4 <!nodoc>,
               python3-jupyter-sphinx <!nodoc>,
               python3-numpy <!nodoc>,
               python3-numpydoc <!nodoc>,
               python3-pandas <!nodoc>,
               python3-recommonmark <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
#               python3-pytest <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://github.com/pydata/pydata-sphinx-theme
Vcs-Git: https://salsa.debian.org/python-team/packages/pydata-sphinx-theme.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydata-sphinx-theme

Package: python3-pydata-sphinx-theme
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: bootstrap-based Sphinx theme from the PyData community
 Originally developed for the pandas docs, work is being done to make this more
 generic and more easily extensible to suit the needs of the different projects;
 noteworthy project using this theme:
 .
  * Pandas: https://pandas.pydata.org/docs/
  * NumPy: https://numpy.org/devdocs/
  * Bokeh: https://docs.bokeh.org/en/dev/
  * JupyterHub and Binder: https://docs.mybinder.org/,
      http://z2jh.jupyter.org/en/latest/,
      https://repo2docker.readthedocs.io/en/latest/,
      https://jupyterhub-team-compass.readthedocs.io/en/latest/
  * Jupyter Book beta version uses an extension of this theme:
      https://beta.jupyterbook.org
  * Fairlearn: https://fairlearn.github.io/master/quickstart.html

Package: python-pydata-sphinx-theme-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: documentation for the pydata-sphinx-theme Python library
 Originally developed for the pandas docs, work is being done to make this more
 generic and more easily extensible to suit the needs of the different projects;
 noteworthy project using this theme:
 .
  * Pandas: https://pandas.pydata.org/docs/
  * NumPy: https://numpy.org/devdocs/
  * Bokeh: https://docs.bokeh.org/en/dev/
  * JupyterHub and Binder: https://docs.mybinder.org/,
      http://z2jh.jupyter.org/en/latest/,
      https://repo2docker.readthedocs.io/en/latest/,
      https://jupyterhub-team-compass.readthedocs.io/en/latest/
  * Jupyter Book beta version uses an extension of this theme:
      https://beta.jupyterbook.org
  * Fairlearn: https://fairlearn.github.io/master/quickstart.html
 .
 This package provides documentation for pydata-sphinx-theme

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pydata-sphinx-theme
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
# try also https://pypi.debian.net/pydata-sphinx-theme/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pydata-sphinx-theme/pydata-sphinx-theme-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pydata-sphinx-theme 0.7.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= --keep-going
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx
numpydoc
recommonmark
pandas
pytest
pytest-regressions
beautifulsoup4
sphinx-sitemap
# For demo examples
jupyter_sphinx
plotly
numpy
xarray
docutils==0.16  # temporary pin (0.17 broke captions)

=== debian/changelog ===
pydata-sphinx-theme (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * debian patch distutils_deprecated_PR590.patch adapts upstream
    PR#590 to replace deprecated distutils, otherwise the
    DeprecationWarning with python3.10 causes an error in sphinx.
    Depends: python3-packaging.  Closes: #1008680.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Apr 2022 02:18:28 +0200

pydata-sphinx-theme (0.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Dec 2021 00:32:36 -0500

pydata-sphinx-theme (0.7.1-2) unstable; urgency=medium

  * debian/control
    - temporarily comment out jupyter-sphinx b-d, to be re-enable when
      ipywidget 7 is in the archive

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Oct 2021 11:12:10 -0400

pydata-sphinx-theme (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * debiab/watch
    - track github releases
  * temporarily disable building doc until ipywidgets is updated to 7

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Oct 2021 11:28:38 -0400

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,24 @@
                dh-python,
                python3-all,
                python3-bs4 <!nodoc>,
-               python3-jupyter-sphinx <!nodoc>,
+#               python3-jupyter-sphinx <!nodoc>,
                python3-numpy <!nodoc>,
                python3-numpydoc <!nodoc>,
+               python3-packaging,
                python3-pandas <!nodoc>,
                python3-recommonmark <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
 #               python3-pytest <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/pydata/pydata-sphinx-theme
 Vcs-Git: https://salsa.debian.org/python-team/packages/pydata-sphinx-theme.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydata-sphinx-theme
 
 Package: python3-pydata-sphinx-theme
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-packaging,
+         ${misc:Depends},
          ${python3:Depends},
 Recommends: ${python3:Recommends},
 Suggests: ${python3:Suggests},

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=pydata-sphinx-theme
%:
	#dh $@ --with python3,sphinxdoc --buildsystem=pybuild
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	mkdir .pybuild/docs

#override_dh_auto_build-indep:
#	dh_auto_build -i
#ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
#	cd docs && \
#	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
#	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
#	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
#endif

=== debian/watch ===
# try also https://pypi.debian.net/pydata-sphinx-theme/watch
version=4
opts="pgpmode=none, dversionmangle=s/.dfsg\d//, uversionmangle=s/(rc|a|b|c)/~$1/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/pydata/pydata-sphinx-theme/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## pydata-sphinx-theme 0.15.2.is.0.7.2

=== debian/changelog ===
pydata-sphinx-theme (0.15.2.is.0.7.2-1) unstable; urgency=medium

  * Reupload 0.7.2-4 until the build failure is fixed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Apr 2024 16:00:54 +0200

pydata-sphinx-theme (0.15.2-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Upload to sid

  [ Sandro Tosi ]
  * debian/copyright
    - extend packaging copyright years
  * debian/patches/
    - remove patches, merged upstream

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on
    line 2, 4.

  [ Andreas Tille ]
  * QA upload
  * New upstream release
    Closes: #1033028
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Build-Depends: pybuild-plugin-pyproject
  * Add upstream metadata

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Apr 2024 08:37:13 +0200

pydata-sphinx-theme (0.7.2-4) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 16:01:49 -0500

pydata-sphinx-theme (0.7.2-3) unstable; urgency=medium

  * Drop -doc package; Closes: #997076, #1031966

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Mar 2023 00:46:25 -0500

## pydata-sphinx-theme 0.15.4+dfsg

=== debian/changelog ===
pydata-sphinx-theme (0.15.4+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Simplify d/rules.
  * Remove duplicate build-dependency.

  [ Rebecca N. Palmer ]
  * Install missing files.  Closes: #1084781
  * Disable webpack-macros, as its build-dependencies are
    not in Debian (see #1084781).
  * Recommend python3-accessible-pygments.
  * Add autopkgtest.

  [ Gianfranco Costamagna ]
  * Upload to sid

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 21 Oct 2024 19:50:21 +0100

pydata-sphinx-theme (0.15.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.15.4+dfsg
  * debian/clean: Added build artifacts
  * debian/control:
     - Added build-depends required for compilation
     - Bumped Standards-Version to 4.7.0
     - Adeed new uploaders: Alexandre Detiste and Josenilson Ferreira da Silva
  * debian/copyright:
     - Files removed in New upstream version
     - Update and include the name of new maintainers
  * debian/rules:
     - Fixed lintian package-contains-vcs-control-file
     - Tests depend on files that are not in Debian
  * debian/source/lintian-overrides: Files removed with new version
  * debian/watch: File deleted because it is not compatible with DFSG

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 10 Aug 2024 08:28:16 -0300

=== debian/control ===
Source: pydata-sphinx-theme
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Uploaders: Alexandre Detiste <tchet@debian.org>, Josenilson Ferreira da Silva <nilsnfsilva@hotmail.com>
# the commented-out dependencies are a failed attempt to enable sphinx-theme-builder/webpack
# (we also don't have node-axe-core, node-css-minimizer-webpack-plugin, node-dedent, but doing without those looks doable)
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
# too old              libjs-popper.js,
               node-bootstrap,
               node-compare-versions,
#               node-copy-webpack-plugin,
#               node-css-loader,
               node-fortawesome-fontawesome-free,
#               node-html-webpack-plugin,
#               node-imports-loader,
# too old              node-mini-css-extract-plugin,
# doesn't exist               node-sass,
# doesn't exist               node-sass-loader,
#               npm,
               pybuild-plugin-pyproject,
               python3-all,
               python3-babel,
               python3-bs4 <!nocheck>,
               python3-packaging,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nocheck>,
#               python3-sphinx-theme-builder,
               python3-typing-extensions,
#               webpack,
Standards-Version: 4.7.0
Homepage: https://github.com/pydata/pydata-sphinx-theme
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pydata-sphinx-theme.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydata-sphinx-theme

Package: python3-pydata-sphinx-theme
Architecture: all
Depends: python3-packaging,
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}, python3-accessible-pygments
Suggests: ${python3:Suggests}
Description: bootstrap-based Sphinx theme from the PyData community
 Originally developed for the pandas docs, work is being done to make this more
 generic and more easily extensible to suit the needs of the different projects;
 noteworthy project using this theme:
 .
  * Pandas: https://pandas.pydata.org/docs/
  * NumPy: https://numpy.org/devdocs/
  * Bokeh: https://docs.bokeh.org/en/dev/
  * JupyterHub and Binder: https://docs.mybinder.org/,
      http://z2jh.jupyter.org/en/latest/,
      https://repo2docker.readthedocs.io/en/latest/,
      https://jupyterhub-team-compass.readthedocs.io/en/latest/
  * Jupyter Book beta version uses an extension of this theme:
      https://beta.jupyterbook.org
  * Fairlearn: https://fairlearn.github.io/master/quickstart.html

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE=1

# intentionally break networking, as using it is against policy and nodeenv/npm may try to download modules
export http_proxy=http://127.0.0.1:9/
export https_proxy=http://127.0.0.1:9/

export PYBUILD_TEST_ARGS=-v --ignore=tests/test_build.py
export PYBUILD_NAME=pydata-sphinx-theme
%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	pybabel compile -d $(CURDIR)/src/pydata_sphinx_theme/locale -D sphinx

execute_before_dh_install:
	find $(CURDIR)/debian/ -name '.gitignore' -delete

## pydata-sphinx-theme 0.16.1+dfsg

=== debian/changelog ===
pydata-sphinx-theme (0.16.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Do not compress files which are part of the HTML documentation.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Feb 2025 23:43:38 +0300

pydata-sphinx-theme (0.16.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Switch to X-Style: black.

  [ Dmitry Shachnev ]
  * Re-add the python-pydata-sphinx-theme-doc package.
  * Add patches for the documentation:
    - To disable dependencies that are not packaged or unused.
    - To replace custom-icon.js with standard Python icon.
    - To disable two pages that cause reproducibility issues.
    - To remove use of external images.
    - To use packaged MathJax.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Feb 2025 16:10:53 +0300

pydata-sphinx-theme (0.16.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update dependencies according to upstream pyproject.toml changes:
    - Set minimum required python3-sphinx version to 6.1.
    - Remove python3-packaging from Build-Depends and Depends.
  * Refresh patches for the new release.
  * Take the prebuilt CSS files from upstream wheel, until we have dart-sass
    packaged in Debian (see #998024).
    - Add debian/prebuilt/update.sh script to download/update the files.
    - Drop 002.reduce-js-deps.patch, no longer needed.
  * Add symlinks to Font Awesome JS, CSS and font files.
  * Build JS from source code using webpack.
    - Add 002.no-build-css.patch to remove CSS parts of webpack, and to use
      dependencies from /usr/share/node_modules.
    - Add webpack and some plugins to build-dependencies.
  * Make sure dist-info has correct package version instead of 0.0.0.
  * Add more files to debian/clean.
  * Remove debian/missing-sources/*, as we do not have prebuilt JS anymore.
  * Update debian/copyright.
  * Do not skip tests/test_build.py during build.
  * Fix the code to remove .gitignore file.
  * Add build-dependencies for the tests:
    - python3-accessible-pygments
    - python3-pytest-regressions

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Jan 2025 22:17:19 +0300

=== debian/control ===
Source: pydata-sphinx-theme
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
 Josenilson Ferreira da Silva <nilsnfsilva@hotmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 node-bootstrap (>= 5.3.3+dfsg-3~),
 node-compare-versions,
 node-fortawesome-fontawesome-free,
 node-html-webpack-plugin,
 node-popper2,
 pybuild-plugin-pyproject,
 python3-accessible-pygments <!nocheck>,
 python3-all,
 python3-babel,
 python3-bs4,
 python3-linkify-it <!nodoc>,
 python3-matplotlib <!nodoc>,
 python3-myst-parser <!nodoc>,
 python3-numpydoc <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-regressions <!nocheck>,
 python3-recommonmark <!nodoc>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx (>= 6.1),
 python3-sphinx-autoapi (>= 3.0.0) <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-design <!nodoc>,
 python3-sphinx-favicon (>= 1.0.1) <!nodoc>,
 python3-sphinx-sitemap <!nodoc>,
 python3-sphinxext-rediraffe <!nodoc>,
 python3-typing-extensions,
 webpack,
Standards-Version: 4.7.0
Homepage: https://github.com/pydata/pydata-sphinx-theme
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pydata-sphinx-theme.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydata-sphinx-theme
X-Style: black

Package: python3-pydata-sphinx-theme
Architecture: all
Depends:
 node-fortawesome-fontawesome-free,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-accessible-pygments,
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: bootstrap-based Sphinx theme from the PyData community
 Originally developed for the pandas docs, work is being done to make this more
 generic and more easily extensible to suit the needs of the different projects;
 noteworthy project using this theme:
 .
  * Pandas: https://pandas.pydata.org/docs/
  * NumPy: https://numpy.org/devdocs/
  * Bokeh: https://docs.bokeh.org/en/dev/
  * JupyterHub and Binder: https://docs.mybinder.org/,
      http://z2jh.jupyter.org/en/latest/,
      https://repo2docker.readthedocs.io/en/latest/,
      https://jupyterhub-team-compass.readthedocs.io/en/latest/
  * Jupyter Book beta version uses an extension of this theme:
      https://beta.jupyterbook.org
  * Fairlearn: https://fairlearn.github.io/master/quickstart.html

Package: python-pydata-sphinx-theme-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 node-fortawesome-fontawesome-free,
 node-mathjax-full (>= 3.2.2+~cs4.2.1-4~),
 python3-pydata-sphinx-theme (= ${binary:Version}),
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: documentation for the pydata-sphinx-theme Python library
 Originally developed for the pandas docs, work is being done to make this more
 generic and more easily extensible to suit the needs of the different projects;
 noteworthy project using this theme:
 .
  * Pandas: https://pandas.pydata.org/docs/
  * NumPy: https://numpy.org/devdocs/
  * Bokeh: https://docs.bokeh.org/en/dev/
  * JupyterHub and Binder: https://docs.mybinder.org/,
      http://z2jh.jupyter.org/en/latest/,
      https://repo2docker.readthedocs.io/en/latest/,
      https://jupyterhub-team-compass.readthedocs.io/en/latest/
  * Jupyter Book beta version uses an extension of this theme:
      https://beta.jupyterbook.org
  * Fairlearn: https://fairlearn.github.io/master/quickstart.html
 .
 This package provides documentation for pydata-sphinx-theme

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

prebuilt_version = $(shell cat debian/prebuilt/version)
ifneq ($(DEB_VERSION_UPSTREAM:+dfsg=), $(prebuilt_version))
    $(error Please run ./debian/prebuilt/update.sh to update CSS for the new version.)
endif

# intentionally break networking, as using it is against policy and nodeenv/npm may try to download modules
export http_proxy=http://127.0.0.1:9/
export https_proxy=http://127.0.0.1:9/

export PYBUILD_BEFORE_TEST=cp -r src/pydata_sphinx_theme {build_dir}
export PYBUILD_TEST_ARGS=-v
export PYBUILD_NAME=pydata-sphinx-theme

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	pybabel compile -d $(CURDIR)/src/pydata_sphinx_theme/locale -D sphinx
	ln -s /usr/share/node_modules .
	webpack
	cp -a debian/prebuilt/styles src/pydata_sphinx_theme/theme/pydata_sphinx_theme/static/

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR)/src sphinx-build -N -E -T -b html $(CURDIR)/docs $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees

theme_static=/usr/lib/python3/dist-packages/pydata_sphinx_theme/theme/pydata_sphinx_theme/static
docs_static=$(CURDIR)/debian/python-pydata-sphinx-theme-doc/usr/share/doc/python-pydata-sphinx-theme-doc/html/_static

execute_before_dh_link:
	set -eu; cd $(CURDIR)/debian/python3-pydata-sphinx-theme$(theme_static); find -type f -or -type l | while read f; do \
		if cmp -s $$f $(docs_static)/$$f; then \
			ln -sfv $(theme_static)/$$f $(docs_static)/$$f; \
		fi \
	done

override_dh_compress:
	dh_compress -Xpython-pydata-sphinx-theme-doc/html
endif

=== debian/tests/control ===
Tests: upstreamtests
Depends: @, python3-pytest, python3-accessible-pygments, python3-pytest-regressions
Restrictions: allow-stderr

=== debian/watch ===
# try also https://pypi.debian.net/pydata-sphinx-theme/watch
version=4
opts="pgpmode=none, dversionmangle=auto,repacksuffix=+dfsg, uversionmangle=s/(rc|a|b|c)/~$1/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/pydata/pydata-sphinx-theme/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
